So is the answer to change versions of jQuery? I'm not sure that's an option in such a large site and with many elements using what we have. Will the newer jQuery breay any older elements or is it retrofitted to work?